From aaaed3a6a08206d2d16665695a622a48da869eaf Mon Sep 17 00:00:00 2001
From: Cecil Hugh Watson <knoppmyth@gmail.com>
Date: Sun, 4 Jan 2009 19:41:49 -0800
Subject: Additional packages needed for Miro.  Latest LIRC PKGBUILD from Arch.

---
 abs/core-testing/gcc-libs/PKGBUILD                 |  45 ++++----
 abs/core-testing/gcc-libs/buildfix_new_bison.patch |  22 ++++
 abs/core-testing/lirc/PKGBUILD                     |  16 +--
 abs/core-testing/lirc/kernel-2.6.27.patch          |  78 ++++++++++++++
 abs/core-testing/lirc/lirc.install                 |   6 +-
 abs/extra-testing/gtk2/PKGBUILD                    |  24 +++--
 abs/extra-testing/gtk2/gtk2-emit-size-change.patch |  26 +++++
 abs/extra-testing/pyrex/ChangeLog                  |   5 +
 abs/extra-testing/pyrex/PKGBUILD                   |  21 ++++
 .../100-system-hunspell-corrections.patch          | 116 +++++++++++++++++++++
 abs/extra-testing/xulrunner/PKGBUILD               |  71 +++++++++++++
 .../bzXXX_pc_honour_system_nspr_nss.patch          | 114 ++++++++++++++++++++
 .../xulrunner/fix-mozilla-launcher.patch           |  23 ++++
 abs/extra-testing/xulrunner/mozconfig              |  33 ++++++
 .../xulrunner/mozilla-pkgconfig.patch              |  88 ++++++++++++++++
 .../mozilla-ps-pdf-simplify-operators.patch        |  42 ++++++++
 abs/extra-testing/xulrunner/nsThreadUtils.patch    |  42 ++++++++
 17 files changed, 734 insertions(+), 38 deletions(-)
 create mode 100644 abs/core-testing/gcc-libs/buildfix_new_bison.patch
 create mode 100644 abs/core-testing/lirc/kernel-2.6.27.patch
 create mode 100644 abs/extra-testing/gtk2/gtk2-emit-size-change.patch
 create mode 100644 abs/extra-testing/pyrex/ChangeLog
 create mode 100644 abs/extra-testing/pyrex/PKGBUILD
 create mode 100644 abs/extra-testing/xulrunner/100-system-hunspell-corrections.patch
 create mode 100644 abs/extra-testing/xulrunner/PKGBUILD
 create mode 100644 abs/extra-testing/xulrunner/bzXXX_pc_honour_system_nspr_nss.patch
 create mode 100644 abs/extra-testing/xulrunner/fix-mozilla-launcher.patch
 create mode 100644 abs/extra-testing/xulrunner/mozconfig
 create mode 100644 abs/extra-testing/xulrunner/mozilla-pkgconfig.patch
 create mode 100644 abs/extra-testing/xulrunner/mozilla-ps-pdf-simplify-operators.patch
 create mode 100644 abs/extra-testing/xulrunner/nsThreadUtils.patch

diff --git a/abs/core-testing/gcc-libs/PKGBUILD b/abs/core-testing/gcc-libs/PKGBUILD
index 7bca5de..09d23d5 100644
--- a/abs/core-testing/gcc-libs/PKGBUILD
+++ b/abs/core-testing/gcc-libs/PKGBUILD
@@ -1,29 +1,33 @@
-# $Id: PKGBUILD 6599 2008-07-25 17:11:14Z andyrtr $
+# $Id: PKGBUILD 19319 2008-11-20 10:56:41Z andyrtr $
 # Maintainer: Jan de Groot <jgc@archlinux.org>
+# Maintainer: Andreas Radke <andyrtr@archlinux.org>
+
 pkgname=gcc-libs
-pkgver=4.3.1
-pkgrel=12
-_snapshot=4.3-20080724
+pkgver=4.3.2
+pkgrel=2
+#_snapshot=4.3-20080724
 pkgdesc="Runtime libraries shipped by GCC for C and C++ languages"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL' 'LGPL')
 groups=('base')
 url="http://gcc.gnu.org"
-depends=('glibc>=2.8-2')
-makedepends=('binutils>=2.18-8' 'gcc>=4.3.1' 'mpfr>=2.3.1' 'texinfo')
+depends=('glibc>=2.8-3')
+makedepends=('binutils>=2.19' 'gcc>=4.3.2' 'mpfr>=2.3.1' 'texinfo' 'flex')
 conflicts=('gcc-fortran' 'gcc-objc')
 provides=("gcc-objc=${pkgver}")
-options=('!libtool' '!emptydirs')
-source=(#ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++,fortran,objc}-${pkgver}.tar.bz2
-	ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,fortran,objc}-${_snapshot}.tar.bz2
+options=('!libtool' '!emptydirs' '!docs')
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++,fortran,objc}-${pkgver}.tar.bz2
+	#ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,fortran,objc}-${_snapshot}.tar.bz2
 	gcc_pure64.patch
-	gcc-hash-style-both.patch)
-md5sums=('99ce6170e379779fe9c0971f9e27c704'
-         'e39db43584ec603b314348405c753bd5'
-         '76b9d6a71eb2cd778cd6ad3e9d576c64'
-         '2b2456702ca6362b01583160e888be14'
+	gcc-hash-style-both.patch
+	buildfix_new_bison.patch)
+md5sums=('dd8048b43d3d4e5595bcade47b9144c6'
+         'bfdf8d19e1b85f522f8b8d48d25e7aaa'
+         'b3294ae213d65e05aacb9b46d11e1025'
+         '08efa42ef267f8759146aa4e11904d25'
          '4030ee1c08dd1e843c0225b772360e76'
-         'bb420bc84b1104455b7230b1cd4b96c2')
+         'bb420bc84b1104455b7230b1cd4b96c2'
+         '412fb8ebb30958eb1a93e9bd89413dd7')
 
 build() {
   if ! locale -a | grep ^de_DE; then
@@ -31,8 +35,8 @@ build() {
     return 1
   fi
   
-  #cd ${srcdir}/gcc-${pkgver}
-  cd ${srcdir}/gcc-${_snapshot}
+  cd ${srcdir}/gcc-${pkgver}
+  #cd ${srcdir}/gcc-${_snapshot}
   # Don't install libiberty
   sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
 
@@ -40,11 +44,12 @@ build() {
     patch -Np1 -i ../gcc_pure64.patch || return 1
   fi
   patch -Np0 -i ${srcdir}/gcc-hash-style-both.patch || return 1
+  patch -Np0 -i ${srcdir}/buildfix_new_bison.patch || return 1
 
   # Don't run fixincludes
   sed -i -e 's@\./fixinc\.sh@-c true@' gcc/Makefile.in
 
-  echo ${pkgver} > gcc/BASE-VER
+#  echo ${pkgver} > gcc/BASE-VER
 
   mkdir build
   cd build
@@ -62,4 +67,6 @@ build() {
   rm -rf ${pkgdir}/usr/bin
   rm -rf ${pkgdir}/usr{,share}/man
   find ${pkgdir} -name gcc.mo -delete
+
+#  rm -f {pkgdir}/usr/share/info/dir
 }
diff --git a/abs/core-testing/gcc-libs/buildfix_new_bison.patch b/abs/core-testing/gcc-libs/buildfix_new_bison.patch
new file mode 100644
index 0000000..01b8880
--- /dev/null
+++ b/abs/core-testing/gcc-libs/buildfix_new_bison.patch
@@ -0,0 +1,22 @@
+--- gcc/treelang/parse.y	2007-07-18 08:19:29.000000000 +0000
++++ gcc/treelang/parse.y.new	2008-11-20 06:40:00.013275486 +0000
+@@ -369,7 +369,6 @@
+   current_function = NULL;
+ }
+ ;
+-
+ variable_defs_opt:
+ /* Nil.  */ {
+   $$ = 0;
+@@ -685,9 +684,9 @@
+ 
+ expressions_with_commas_opt:
+ /* Nil.  */ {
+-$$ = 0
++$$ = 0;
+ }
+-|expressions_with_commas { $$ = $1 }
++|expressions_with_commas { $$ = $1; }
+ ;
+ 
+ expressions_with_commas:
diff --git a/abs/core-testing/lirc/PKGBUILD b/abs/core-testing/lirc/PKGBUILD
index d7fc488..4548a46 100644
--- a/abs/core-testing/lirc/PKGBUILD
+++ b/abs/core-testing/lirc/PKGBUILD
@@ -1,27 +1,28 @@
-# $Id: PKGBUILD 6055 2008-07-23 02:44:55Z eric $
+# $Id: PKGBUILD 14978 2008-10-11 21:04:37Z tpowa $
 # Maintainer: Paul Mattal <paul@archlinux.org>
 
 pkgname=lirc
 pkgver=0.8.3
-pkgrel=1
-_kernver=2.6.26-ARCH
+pkgrel=3
+_kernver=2.6.27-ARCH
 pkgdesc="Linux Infrared Remote Control kernel modules for stock arch kernel"
 arch=(i686 x86_64)
 url="http://www.lirc.org/"
 license=('GPL')
-depends=('lirc-utils=0.8.3' 'kernel26>=2.6.26-1' 'kernel26<2.6.27')
+depends=('lirc-utils=0.8.3' 'kernel26>=2.6.27' 'kernel26<2.6.28')
 makedepends=('help2man')
 replaces=('lirc+pctv')
 options=('!makeflags')
 install=$pkgname.install
 source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2 \
-	kernel-2.6.26.patch)
-md5sums=('8e78eeded7b31e5ad02e328970437c0f' '1753acd774f50b638e6173d364de53fd')
+	kernel-2.6.26.patch
+	kernel-2.6.27.patch)
 
 build() {
 	# configure
 	cd $startdir/src/lirc-$pkgver || return 1
 	patch -Np1 -i ../kernel-2.6.26.patch || return 1
+	patch -Np1 -i ../kernel-2.6.27.patch || return 1
 
 	./configure --enable-sandboxed --prefix=/usr \
 		--with-driver=all --with-kerneldir=/usr/src/linux-${_kernver}/ \
@@ -48,3 +49,6 @@ build() {
 	sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" \
 		$startdir/lirc.install || return 1
 }
+md5sums=('8e78eeded7b31e5ad02e328970437c0f'
+         '1753acd774f50b638e6173d364de53fd'
+         '6f151eb4e81fc7776a06c9063e6ad9a5')
diff --git a/abs/core-testing/lirc/kernel-2.6.27.patch b/abs/core-testing/lirc/kernel-2.6.27.patch
new file mode 100644
index 0000000..05cf75b
--- /dev/null
+++ b/abs/core-testing/lirc/kernel-2.6.27.patch
@@ -0,0 +1,78 @@
+diff -Nur lirc-0.8.3.orig/drivers/lirc_dev/lirc_dev.c lirc-0.8.3/drivers/lirc_dev/lirc_dev.c
+--- lirc-0.8.3.orig/drivers/lirc_dev/lirc_dev.c	2008-01-13 11:45:02.000000000 +0100
++++ lirc-0.8.3/drivers/lirc_dev/lirc_dev.c	2008-10-10 16:29:15.000000000 +0200
+@@ -49,7 +49,7 @@
+ #include <linux/uaccess.h>
+ #include <linux/errno.h>
+ #endif
+-#include <asm/semaphore.h>
++#include <linux/semaphore.h>
+ #if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 0)
+ #include <linux/wrapper.h>
+ #endif
+diff -Nur lirc-0.8.3.orig/drivers/lirc_i2c/lirc_i2c.c lirc-0.8.3/drivers/lirc_i2c/lirc_i2c.c
+--- lirc-0.8.3.orig/drivers/lirc_i2c/lirc_i2c.c	2008-05-04 15:49:53.000000000 +0200
++++ lirc-0.8.3/drivers/lirc_i2c/lirc_i2c.c	2008-10-10 16:29:00.000000000 +0200
+@@ -54,7 +54,7 @@
+ #include <linux/i2c.h>
+ #include <linux/i2c-algo-bit.h>
+ 
+-#include <asm/semaphore.h>
++#include <linux/semaphore.h>
+ 
+ #include "drivers/kcompat.h"
+ #include "drivers/lirc_dev/lirc_dev.h"
+--- lirc-0.8.3.orig/drivers/kcompat.h	2008/05/14 16:37:49	5.36
++++ lirc-0.8.3.orig/drivers/kcompat.h	2008/09/27 08:16:15	5.37
+@@ -36,7 +36,7 @@
+ 	class_simple_destroy(cls);
+ }
+ 
+-#define lirc_device_create(cs, parent, dev, fmt, args...) \
++#define lirc_device_create(cs, parent, dev, drvdata, fmt, args...) \
+ 	class_simple_device_add(cs, dev, parent, fmt, ## args)
+ 
+ static inline void lirc_device_destroy(lirc_class_t *cls, dev_t devt)
+@@ -48,20 +48,29 @@
+ 
+ #if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 15)
+ 
+-#define lirc_device_create(cs, parent, dev, fmt, args...) \
++#define lirc_device_create(cs, parent, dev, drvdata, fmt, args...) \
+ 	class_device_create(cs, dev, parent, fmt, ## args)
+ 
+ #else /* >= 2.6.15 */
+ 
+ #if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26)
+ 
+-#define lirc_device_create(cs, parent, dev, fmt, args...) \
++#define lirc_device_create(cs, parent, dev, drvdata, fmt, args...) \
+ 	class_device_create(cs, NULL, dev, parent, fmt, ## args)
+ 
+ #else /* >= 2.6.26 */
+ 
++#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 27)
++
++#define lirc_device_create(cs, parent, dev, drvdata, fmt, args...) \
++	class_device_create(cs, parent, dev, fmt, ## args)
++
++#else /* >= 2.6.27 */
++
+ #define lirc_device_create device_create
+ 
++#endif /* >= 2.6.27 */
++
+ #endif /* >= 2.6.26 */
+ 
+ #define LIRC_DEVFS_PREFIX
+--- lirc-0.8.3.orig/drivers/lirc_dev/lirc_dev.c	2008/09/06 07:30:16	1.60
++++ lirc-0.8.3.orig/drivers/lirc_dev/lirc_dev.c	2008/09/27 08:16:15	1.61
+@@ -397,7 +397,7 @@
+ 			DEV_LIRC "/%u", ir->p.minor);
+ #endif
+ 	(void) lirc_device_create(lirc_class, ir->p.dev,
+-				  MKDEV(IRCTL_DEV_MAJOR, ir->p.minor),
++				  MKDEV(IRCTL_DEV_MAJOR, ir->p.minor), NULL,
+ 				  "lirc%u", ir->p.minor);
+ 
+ 	if (p->sample_rate || p->get_queue) {
diff --git a/abs/core-testing/lirc/lirc.install b/abs/core-testing/lirc/lirc.install
index 704c341..1320758 100644
--- a/abs/core-testing/lirc/lirc.install
+++ b/abs/core-testing/lirc/lirc.install
@@ -10,7 +10,7 @@ pre_install() {
 post_install() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.26-ARCH
+  KERNEL_VERSION=2.6.27-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
   /bin/true
 }
@@ -26,7 +26,7 @@ pre_upgrade() {
 post_upgrade() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.26-ARCH
+  KERNEL_VERSION=2.6.27-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
   /bin/true
 }
@@ -40,7 +40,7 @@ pre_remove() {
 post_remove() {
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.26-ARCH
+  KERNEL_VERSION=2.6.27-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
   /bin/true
 }
diff --git a/abs/extra-testing/gtk2/PKGBUILD b/abs/extra-testing/gtk2/PKGBUILD
index d119d56..1966409 100644
--- a/abs/extra-testing/gtk2/PKGBUILD
+++ b/abs/extra-testing/gtk2/PKGBUILD
@@ -1,14 +1,14 @@
-# $Id: PKGBUILD 19648 2008-11-28 20:15:22Z jgc $
+# $Id: PKGBUILD 22045 2008-12-21 13:00:15Z jgc $
 # Maintainer: Jan de Groot <jgc@archlinux.org>
 
 pkgname=gtk2
-pkgver=2.14.5
+pkgver=2.14.6
 pkgrel=1
 pkgdesc="The GTK+ Toolkit (v2)"
 arch=(i686 x86_64)
 url="http://www.gtk.org/"
 install=gtk2.install
-depends=('atk>=1.24.0' 'pango>=1.22.3' 'libxcursor' 'libxinerama' 'libxrandr>=1.2.1' 'libxi' 'libcups>=1.3.9' 'libxcomposite' 'libxdamage' 'heimdal>=1.2' 'gnutls>=2.4.1')
+depends=('atk>=1.24.0' 'pango>=1.22.4' 'libxcursor' 'libxinerama' 'libxrandr>=1.2.1' 'libxi' 'libcups>=1.3.9' 'libxcomposite' 'libxdamage' 'heimdal>=1.2.1' 'gnutls>=2.4.2')
 makedepends=('pkgconfig')
 replaces=('gtkprint-cups' 'gail')
 conflicts=('gtkprint-cups' 'gail')
@@ -17,21 +17,25 @@ options=('!libtool' '!docs')
 backup=(etc/gtk-2.0/gtkrc)
 license=('LGPL')
 source=(http://ftp.gnome.org/pub/gnome/sources/gtk+/2.14/gtk+-${pkgver}.tar.bz2
-	gtkclipboard-check.patch)
-md5sums=('1b1b5d7ab5a25e84682cb27ee4808a40'
-         '4025d3c15d6c6f73a032f403ffd4ff1c')
+	gtkclipboard-check.patch
+	gtk2-emit-size-change.patch)
+md5sums=('69c2d2842203d7b627bc6ec34cb4a4f8'
+         '4025d3c15d6c6f73a032f403ffd4ff1c'
+         '942981cbba5057d9f02f4393e552f101')
 
 build() {
-  cd ${startdir}/src/gtk+-${pkgver}
+  cd "${srcdir}/gtk+-${pkgver}"
   # Workaround patch for flash
-  patch -Np1 -i ${startdir}/src/gtkclipboard-check.patch || return 1
+  patch -Np1 -i "${srcdir}/gtkclipboard-check.patch" || return 1
+  # gdk does not let xfwm know about screen size changes
+  patch -Np1 -i "${srcdir}/gtk2-emit-size-change.patch" || return 1
 
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --with-xinput=yes \
 	      --without-libjasper \
 	      --with-included-loaders=png || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  echo 'gtk-fallback-icon-theme = "gnome"' > ${startdir}/pkg/etc/gtk-2.0/gtkrc || return 1
+  echo 'gtk-fallback-icon-theme = "gnome"' > "${pkgdir}/etc/gtk-2.0/gtkrc" || return 1
 }
diff --git a/abs/extra-testing/gtk2/gtk2-emit-size-change.patch b/abs/extra-testing/gtk2/gtk2-emit-size-change.patch
new file mode 100644
index 0000000..34053a8
--- /dev/null
+++ b/abs/extra-testing/gtk2/gtk2-emit-size-change.patch
@@ -0,0 +1,26 @@
+diff -Naur gtk+-2.14.5-old/gdk/x11/gdkscreen-x11.c gtk+-2.14.5/gdk/x11/gdkscreen-x11.c
+--- gtk+-2.14.5-old/gdk/x11/gdkscreen-x11.c	2008-11-24 16:36:03.000000000 +1000
++++ gtk+-2.14.5/gdk/x11/gdkscreen-x11.c	2008-12-03 00:39:38.000000000 +1000
+@@ -894,11 +894,6 @@
+ _gdk_x11_screen_size_changed (GdkScreen *screen,
+ 			      XEvent    *event)
+ {
+-  gint width, height;
+-
+-  width = gdk_screen_get_width (screen);
+-  height = gdk_screen_get_height (screen);
+-
+ #ifdef HAVE_RANDR
+   if (!XRRUpdateConfiguration (event))
+     return;
+@@ -915,10 +910,6 @@
+     return;
+ #endif
+ 
+-  if (width == gdk_screen_get_width (screen) && 
+-      height == gdk_screen_get_height (screen))
+-    return;
+-
+   _gdk_x11_screen_process_monitors_change (screen);
+   g_signal_emit_by_name (screen, "size_changed");
+ }
diff --git a/abs/extra-testing/pyrex/ChangeLog b/abs/extra-testing/pyrex/ChangeLog
new file mode 100644
index 0000000..1b0e564
--- /dev/null
+++ b/abs/extra-testing/pyrex/ChangeLog
@@ -0,0 +1,5 @@
+
+2008-07-06  Douglas Soares de Andrade  <douglas@archlinux.org>
+
+	* Updating for x86_64 - 0.9.8.4
+
diff --git a/abs/extra-testing/pyrex/PKGBUILD b/abs/extra-testing/pyrex/PKGBUILD
new file mode 100644
index 0000000..4242fb9
--- /dev/null
+++ b/abs/extra-testing/pyrex/PKGBUILD
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD 11841 2008-09-05 01:20:00Z douglas $
+# Contributor: Arjan timmerman <arjan@soulfly.nl>
+# Contributor: Link Dupont <link@subpop.net>
+# Maintainer: Douglas Soares de Andrade <douglas@archlinux.org>
+
+pkgname=pyrex
+pkgver=0.9.8.5
+pkgrel=1
+pkgdesc="Language for writing Python extension modules"
+arch=("i686" "x86_64")
+url="http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/"
+license=""
+depends=('python>=2.5')
+source=(http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/Pyrex-${pkgver}.tar.gz)
+
+md5sums=('3b3d8397c2c9a58fc59a90e2b49c651a')
+
+build() {
+    cd ${startdir}/src/Pyrex-${pkgver}
+    python setup.py install --root=${startdir}/pkg --prefix=/usr
+}
diff --git a/abs/extra-testing/xulrunner/100-system-hunspell-corrections.patch b/abs/extra-testing/xulrunner/100-system-hunspell-corrections.patch
new file mode 100644
index 0000000..5533e10
--- /dev/null
+++ b/abs/extra-testing/xulrunner/100-system-hunspell-corrections.patch
@@ -0,0 +1,116 @@
+--- ./extensions/spellcheck/hunspell/src/mozHunspell.cpp.orig	2008-02-15 19:21:21.000000000 +0000
++++ ./extensions/spellcheck/hunspell/src/mozHunspell.cpp	2008-02-15 19:23:20.000000000 +0000
+@@ -63,6 +63,9 @@
+ #include "nsISimpleEnumerator.h"
+ #include "nsIDirectoryEnumerator.h"
+ #include "nsIFile.h"
++#ifdef MOZ_NATIVE_HUNSPELL
++#include "nsILocalFile.h"
++#endif
+ #include "nsDirectoryServiceUtils.h"
+ #include "nsDirectoryServiceDefs.h"
+ #include "mozISpellI18NManager.h"
+@@ -307,7 +310,16 @@
+     return;
+ 
+   nsCOMPtr<nsIFile> dictDir;
+-  rv = dirSvc->Get(DICTIONARY_SEARCH_DIRECTORY,
++  #ifdef MOZ_NATIVE_HUNSPELL
++    nsCOMPtr<nsILocalFile>  localFile;
++    rv = NS_NewNativeLocalFile(nsDependentCString("/usr/share/myspell"),PR_TRUE, getter_AddRefs(localFile));
++    if (localFile && NS_SUCCEEDED(rv)) {
++      localFile->QueryInterface(NS_GET_IID(nsIFile), getter_AddRefs(dictDir));
++      LoadDictionariesFromDir(dictDir);
++    }
++    else {
++  #endif
++    rv = dirSvc->Get(DICTIONARY_SEARCH_DIRECTORY,
+                    NS_GET_IID(nsIFile), getter_AddRefs(dictDir));
+   if (NS_SUCCEEDED(rv)) {
+     LoadDictionariesFromDir(dictDir);
+@@ -332,6 +344,9 @@
+       LoadDictionariesFromDir(appDir);
+     }
+   }
++#ifdef MOZ_NATIVE_HUNSPELL
++  }
++#endif
+ 
+   nsCOMPtr<nsISimpleEnumerator> dictDirs;
+   rv = dirSvc->Get(DICTIONARY_SEARCH_DIRECTORY_LIST,
+--- ./extensions/spellcheck/src/Makefile.in.orig	2008-02-15 19:25:58.000000000 +0000
++++ ./extensions/spellcheck/src/Makefile.in	2008-02-15 19:28:36.000000000 +0000
+@@ -63,9 +63,16 @@
+ 		  txtsvc \
+ 		  uconv \
+ 		  unicharutil \
++		  xulapp \
+ 		  $(NULL)
+ 
+-CPPSRCS		= \
++ifdef MOZ_NATIVE_HUNSPELL
++CPPSRCS         += mozHunspell.cpp
++ifdef MOZ_XUL_APP
++CPPSRCS         += mozHunspellDirProvider.cpp
++endif
++endif
++CPPSRCS		+= \
+ 		mozSpellCheckerFactory.cpp	\
+ 		mozSpellChecker.cpp		\
+ 		mozPersonalDictionary.cpp	\
+@@ -80,8 +87,14 @@
+ SHARED_LIBRARY_LIBS += ../osxspell/src/$(LIB_PREFIX)osxspell_s.$(LIB_SUFFIX)
+ LOCAL_INCLUDES += -I$(srcdir)/../osxspell/src
+ else
++ifndef MOZ_NATIVE_HUNSPELL
+ SHARED_LIBRARY_LIBS += ../hunspell/src/$(LIB_PREFIX)hunspell_s.$(LIB_SUFFIX)
+ LOCAL_INCLUDES += -I$(srcdir)/../hunspell/src
++else
++LOCAL_INCLUDES += $(MOZ_HUNSPELL_CFLAGS) \
++		-DMOZ_NATIVE_HUNSPELL \
++		$(NULL)
++endif
+ endif
+ 
+ EXTRA_DSO_LDOPTS = \
+@@ -96,3 +112,18 @@
+ LOCAL_INCLUDES += \
+ 	-I$(topsrcdir)/xpcom/io \
+ 	$(NULL)
++
++ifdef MOZ_NATIVE_HUNSPELL
++export:: $(srcdir)/../hunspell/src/mozHunspell.cpp
++	$(INSTALL) $(srcdir)/../hunspell/src/mozHunspell.* .
++GARBAGE += mozHunspell.$(OBJ_SUFFIX) mozHunspell.cpp
++clean::
++	rm -f mozHunspell.*
++ifdef MOZ_XUL_APP
++export:: $(srcdir)/../hunspell/src/mozHunspellDirProvider.cpp
++	$(INSTALL) $(srcdir)/../hunspell/src/mozHunspellDirProvider.* .
++GARBAGE += mozHunspellDirProvider.$(OBJ_SUFFIX) mozHunspellDirProvider.cpp
++clean::
++	rm -f mozHunspellDirProvider.*
++endif
++endif
+--- ./extensions/spellcheck/Makefile.in.orig	2008-02-15 19:23:39.000000000 +0000
++++ ./extensions/spellcheck/Makefile.in	2008-02-15 19:24:34.000000000 +0000
+@@ -42,13 +42,19 @@
+ include $(DEPTH)/config/autoconf.mk
+ 
+ MODULE		= spellchecker
+-DIRS		= idl locales
++ifndef MOZ_NATIVE_HUNSPELL
++DIRS		= idl locales
++else
++DIRS		= idl
++endif
+ 
+ ifeq (camino,$(MOZ_BUILD_APP))
+ DIRS		+= osxspell
+ else
++ifndef MOZ_NATIVE_HUNSPELL
+ DIRS		+= hunspell
+ endif
++endif
+ 
+ DIRS += src
diff --git a/abs/extra-testing/xulrunner/PKGBUILD b/abs/extra-testing/xulrunner/PKGBUILD
new file mode 100644
index 0000000..af41fdb
--- /dev/null
+++ b/abs/extra-testing/xulrunner/PKGBUILD
@@ -0,0 +1,71 @@
+# $Id: PKGBUILD 22983 2008-12-30 18:11:22Z jgc $
+# Maintainer: Alexander Baldeck <alexander@archlinux.org>
+# Contributor: Jan de Groot <jgc@archlinux.org>
+pkgname=xulrunner
+pkgver=1.9.0.5
+pkgrel=2
+pkgdesc="Mozilla Runtime Environment"
+arch=(i686 x86_64)
+license=('MPL' 'GPL' 'LGPL')
+depends=('gtk2>=2.14.6' 'gcc-libs>=4.3.2' 'libidl2>=0.8.11' 'mozilla-common' 'nss>=3.12.2' 'libxt' 'lcms' 'hunspell>=1.2.8' 'startup-notification>=0.9')
+makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.0')
+provides=(gecko-sdk)
+replaces=(gecko-sdk)
+url="http://wiki.mozilla.org/XUL:Xul_Runner"
+source=(ftp://ftp.archlinux.org/other/xulrunner/${pkgname}-${pkgver}-source.tar.bz2
+	#http://releases.mozilla.org/pub/mozilla.org/xulrunner/releases/${pkgver}/source/${pkgname}-${pkgver}-source.tar.bz2
+        mozconfig
+	100-system-hunspell-corrections.patch
+	bzXXX_pc_honour_system_nspr_nss.patch
+	mozilla-pkgconfig.patch
+	fix-mozilla-launcher.patch
+	mozilla-ps-pdf-simplify-operators.patch
+	nsThreadUtils.patch)
+md5sums=('aef76915c3fb35b9229d9eb2c8b2580a'
+         '6509d12e6b17bfc51c09e1dc35259035'
+         '5efd6772ed0ecf8eddec5d5650191d3c'
+         '7a5151f90cb360bc1ea911e5cf7208e9'
+         'dfbfb4e35912112668ac66dae0783686'
+         '63eee2d1da3b43c9d604f2253f242f40'
+         '13dca58c04e62a8916691c63c5c492a0'
+	 'ccc3a0672c783c043434f256fbd38c86')
+
+build() {
+  cd ${startdir}/src/mozilla
+  cp ${startdir}/src/mozconfig .mozconfig
+
+  #Upstream patch. Still not applied to 1.9.0.1
+  patch -Np1 -i ${srcdir}/mozilla-ps-pdf-simplify-operators.patch || return 1
+
+  #fix build with system hunspell - gentoo
+  patch -Np0 -i ${srcdir}/100-system-hunspell-corrections.patch || return 1
+
+  #fix pkgconfig files when building with system nss/nspr - ubuntu
+  patch -Np1 -i ${srcdir}/bzXXX_pc_honour_system_nspr_nss.patch || return 1
+
+  #fix libdir/sdkdir - fedora - with local modifications
+  patch -Np1 -i ${srcdir}/mozilla-pkgconfig.patch || return 1
+
+  #Fix stub launcher - archlinux
+  patch -Np0 -i ${srcdir}/fix-mozilla-launcher.patch || return 1
+
+  #Fix epiphany crashes - requires epiphany rebuild
+  patch -Np1 -i ${srcdir}/nsThreadUtils.patch || return 1
+
+  unset CFLAGS
+  unset CXXFLAGS
+  export LDFLAGS="-Wl,-rpath,/usr/lib/xulrunner-1.9"
+
+  make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS" || return 1
+  make -j1 DESTDIR=${startdir}/pkg install || return 1
+
+  ln -sf xulrunner-${pkgver} ${pkgdir}/usr/lib/xulrunner-1.9
+  ln -sf xulrunner-devel-${pkgver} ${pkgdir}/usr/lib/xulrunner-devel-1.9
+  ln -sf xulrunner-${pkgver} ${pkgdir}/usr/include/xulrunner-1.9
+  ln -sf xulrunner-${pkgver} ${pkgdir}/usr/share/idl/xulrunner-1.9
+
+  # The ubuntu patch adds these... get rid of it, NSS/NSPR has it.
+  rm -f ${startdir}/pkg/usr/lib/pkgconfig/mozilla-ns{s,pr}.pc || return 1
+
+  sed -i -e "s/xulrunner-${pkgver}/xulrunner-1.9/g" -e "s/xulrunner-devel-${pkgver}/xulrunner-devel-1.9/g" ${pkgdir}/usr/lib/pkgconfig/*.pc || return 1
+}
diff --git a/abs/extra-testing/xulrunner/bzXXX_pc_honour_system_nspr_nss.patch b/abs/extra-testing/xulrunner/bzXXX_pc_honour_system_nspr_nss.patch
new file mode 100644
index 0000000..be2e872
--- /dev/null
+++ b/abs/extra-testing/xulrunner/bzXXX_pc_honour_system_nspr_nss.patch
@@ -0,0 +1,114 @@
+---
+ xulrunner/installer/Makefile.in                     |   17 ++++++++++++++---
+ xulrunner/installer/libxul-embedding-unstable.pc.in |    2 +-
+ xulrunner/installer/libxul-embedding.pc.in          |    2 +-
+ xulrunner/installer/mozilla-nss.pc.in               |    6 +++---
+ 4 files changed, 19 insertions(+), 8 deletions(-)
+
+Index: mozilla/xulrunner/installer/Makefile.in
+===================================================================
+--- mozilla.orig/xulrunner/installer/Makefile.in
++++ mozilla/xulrunner/installer/Makefile.in
+@@ -90,40 +90,51 @@
+ 	mozilla-plugin.pc \
+ 	mozilla-gtkmozembed.pc \
+ 	mozilla-gtkmozembed-embedding.pc \
+ 	$(NULL)
+ 
+ ifdef MOZ_NATIVE_NSPR
+ NSPR_NAME=nspr
+ NSPR_VERSION=$(shell $(NSPR_CONFIG) --version)
++FULL_NSPR_CFLAGS=$(shell $(NSPR_CONFIG) --cflags)
++FULL_NSPR_LIBS=$(shell $(NSPR_CONFIG) --libs)
+ else
+-pkg_config_files += mozilla-nspr.pc
+ NSPR_NAME=mozilla-nspr
+ FULL_NSPR_CFLAGS=-I\$${includedir}/stable
+ FULL_NSPR_LIBS=$(subst $(prefix),\$${sdkdir},$(shell $(DEPTH)/nsprpub/config/nspr-config --libs))
+ NSPR_VERSION=$(shell $(DEPTH)/nsprpub/config/nspr-config --version)
+ endif
++pkg_config_files += mozilla-nspr.pc
+ 
+ $(warning FULL_NSPR_CFLAGS=$(FULL_NSPR_CFLAGS))
+ 
+-ifndef MOZ_NATIVE_NSS
+-pkg_config_files += mozilla-nss.pc
++ifdef MOZ_NATIVE_NSS
++NSS_VERSION=$(shell $(NSS_CONFIG) --version)
++FULL_NSS_CFLAGS=$(shell $(NSS_CONFIG) --cflags)
++FULL_NSS_LIBS=$(shell $(NSS_CONFIG) --libs)
++else
++NSS_VERSION=$(shell $(DEPTH)/nsprpub/config/nss-config --version)
++FULL_NSS_CFLAGS=-I\$${includedir}/stable
++FULL_NSS_LIBS=$(subst $(prefix),\$${sdkdir},$(shell $(DEPTH)/nsprpub/config/nss-config --libs))
+ endif
++pkg_config_files += mozilla-nss.pc
+ 
+ %.pc: $(srcdir)/%.pc.in Makefile.in Makefile $(DEPTH)/config/autoconf.mk
+ 	cat $< | sed \
+ 	-e "s|%prefix%|$(prefix)|" \
+ 	-e "s|%includedir%|$(includedir)|" \
+ 	-e "s|%idldir%|$(idldir)|" \
+ 	-e "s|%sdkdir%|$(sdkdir)|" \
+ 	-e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
+ 	-e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
+ 	-e "s|%FULL_NSPR_LIBS%|$(FULL_NSPR_LIBS)|" \
+ 	-e "s|%FULL_NSPR_CFLAGS%|$(FULL_NSPR_CFLAGS)|" \
++	-e "s|%FULL_NSS_LIBS%|$(FULL_NSS_LIBS)|" \
++	-e "s|%FULL_NSS_CFLAGS%|$(FULL_NSS_CFLAGS)|" \
+ 	-e "s|%NSPR_NAME%|$(NSPR_NAME)|" \
+ 	-e "s|%NSPR_VERSION%|$(NSPR_VERSION)|" > $@
+ 	chmod 644 $@
+ 
+ install:: $(pkg_config_files)
+ 	@echo pkg_config_file: $(pkg_config_files)
+ 	$(SYSINSTALL) $(IFLAGS1) $^ $(DESTDIR)$(libdir)/pkgconfig
+ 
+Index: mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in
+===================================================================
+--- mozilla.orig/xulrunner/installer/libxul-embedding-unstable.pc.in
++++ mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in
+@@ -3,9 +3,9 @@
+ includedir=%includedir%
+ idldir=%idldir%
+ includetype=unstable
+ 
+ Name: libxul-embedding-unstable
+ Description: Static library for version-independent embedding of the Mozilla runtime (unstable API)
+ Version: %MOZILLA_VERSION%
+ Libs: -L${sdkdir}/lib -lxpcomglue
+-Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar
++Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar %FULL_NSPR_CFLAGS%
+Index: mozilla/xulrunner/installer/libxul-embedding.pc.in
+===================================================================
+--- mozilla.orig/xulrunner/installer/libxul-embedding.pc.in
++++ mozilla/xulrunner/installer/libxul-embedding.pc.in
+@@ -7,9 +7,9 @@
+ # Note: the default pkg-config cflags will only list include directories
+ # that contain stable (frozen or safe for linking) header files. To include
+ # nonfrozen headers, run pkg-config with --define-variable=includetype=unstable
+ 
+ Name: libxul-embedding
+ Description: Static library for version-independent embedding of the Mozilla runtime
+ Version: %MOZILLA_VERSION%
+ Libs: -L${sdkdir}/lib -lxpcomglue
+-Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar
++Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar %FULL_NSPR_CFLAGS%
+Index: mozilla/xulrunner/installer/mozilla-nss.pc.in
+===================================================================
+--- mozilla.orig/xulrunner/installer/mozilla-nss.pc.in
++++ mozilla/xulrunner/installer/mozilla-nss.pc.in
+@@ -1,10 +1,10 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
+ includedir=%includedir%
+ 
+ Name: NSS
+ Description: Mozilla Network Security Services
+-Version: %MOZILLA_VERSION%
++Version: %NSS_VERSION%
+ Requires: %NSPR_NAME% >= %NSPR_VERSION%
+-Libs: -L${sdkdir}/lib -lnss3 -lnssutil3 -lsmime3 -lssl3 -lsoftokn3
+-Cflags: -I${includedir}/stable
++Libs: %FULL_NSS_LIBS%
++Cflags: %FULL_NSS_CFLAGS%
diff --git a/abs/extra-testing/xulrunner/fix-mozilla-launcher.patch b/abs/extra-testing/xulrunner/fix-mozilla-launcher.patch
new file mode 100644
index 0000000..de64e4c
--- /dev/null
+++ b/abs/extra-testing/xulrunner/fix-mozilla-launcher.patch
@@ -0,0 +1,23 @@
+--- xulrunner/stub/nsXULStub.cpp	2008-07-17 21:43:11.000000000 +0200
++++ xulrunner/stub/nsXULStub.cpp	2008-07-17 21:47:04.000000000 +0200
+@@ -208,8 +208,10 @@
+   // 3) give up
+ 
+   struct stat fileStat;
++  char *testp;
+ 
+-  if (!realpath(argv[0], iniPath) || stat(iniPath, &fileStat)) {
++  testp = realpath(argv[0], iniPath);
++  if (!(testp != NULL && stat(iniPath, &fileStat) == 0 && S_ISREG(fileStat.st_mode) && fileStat.st_mode & S_IXUSR) || (testp != NULL && stat(iniPath, &fileStat))) {
+     const char *path = getenv("PATH");
+     if (!path)
+       return 1;
+@@ -222,7 +224,7 @@
+     char *token = strtok(pathdup, ":");
+     while (token) {
+       sprintf(tmpPath, "%s/%s", token, argv[0]);
+-      if (realpath(tmpPath, iniPath) && stat(iniPath, &fileStat) == 0) {
++      if (realpath(tmpPath, iniPath) && stat(iniPath, &fileStat) == 0 && S_ISREG(fileStat.st_mode) && fileStat.st_mode & S_IXUSR) {
+         found = PR_TRUE;
+         break;
+       }
diff --git a/abs/extra-testing/xulrunner/mozconfig b/abs/extra-testing/xulrunner/mozconfig
new file mode 100644
index 0000000..22212cb
--- /dev/null
+++ b/abs/extra-testing/xulrunner/mozconfig
@@ -0,0 +1,33 @@
+. $topsrcdir/xulrunner/config/mozconfig
+ac_add_options --prefix=/usr
+ac_add_options --libdir=/usr/lib
+ac_add_options --with-system-nspr
+ac_add_options --with-system-nss
+ac_add_options --with-system-jpeg
+ac_add_options --with-system-zlib
+ac_add_options --with-system-bz2
+ac_add_options --with-system-png
+ac_add_options --enable-system-lcms
+ac_add_options --enable-system-hunspell
+ac_add_options --enable-system-sqlite
+ac_add_options --enable-system-cairo
+ac_add_options --with-pthreads
+ac_add_options --enable-strip
+ac_add_options --disable-tests
+ac_add_options --disable-mochitest
+ac_add_options --disable-installer
+ac_add_options --disable-debug
+ac_add_options --enable-optimize
+ac_add_options --enable-default-toolkit=cairo-gtk2
+ac_add_options --enable-pango
+ac_add_options --enable-svg
+ac_add_options --enable-canvas
+ac_add_options --disable-javaxpcom
+ac_add_options --disable-crashreporter
+ac_add_options --enable-safe-browsing
+ac_add_options --enable-startup-notification
+
+export BUILD_OFFICIAL=1
+export MOZILLA_OFFICIAL=1
+mk_add_options BUILD_OFFICIAL=1
+mk_add_options MOZILLA_OFFICIAL=1
diff --git a/abs/extra-testing/xulrunner/mozilla-pkgconfig.patch b/abs/extra-testing/xulrunner/mozilla-pkgconfig.patch
new file mode 100644
index 0000000..1ce40fd
--- /dev/null
+++ b/abs/extra-testing/xulrunner/mozilla-pkgconfig.patch
@@ -0,0 +1,88 @@
+diff -ruN mozilla/xulrunner/installer/libxul-embedding.pc.in mozilla/xulrunner/installer/libxul-embedding.pc.in
+--- mozilla/xulrunner/installer/libxul-embedding.pc.in	2008-07-16 20:27:31.000000000 +0200
++++ mozilla/xulrunner/installer/libxul-embedding.pc.in	2008-07-16 21:43:47.000000000 +0200
+@@ -1,7 +1,7 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/stable
+ includetype=stable
+ 
+ # Note: the default pkg-config cflags will only list include directories
+diff -ruN mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in
+--- mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in	2008-07-16 20:27:31.000000000 +0200
++++ mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in	2008-07-16 21:44:06.000000000 +0200
+@@ -1,7 +1,7 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/unstable
+ includetype=unstable
+ 
+ Name: libxul-embedding-unstable
+diff -ruN mozilla/xulrunner/installer/libxul.pc.in mozilla/xulrunner/installer/libxul.pc.in
+--- mozilla/xulrunner/installer/libxul.pc.in	2007-08-03 16:46:28.000000000 +0200
++++ mozilla/xulrunner/installer/libxul.pc.in	2008-07-16 21:44:33.000000000 +0200
+@@ -1,7 +1,8 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/stable
+ includetype=stable
+ 
+ # Note: the default pkg-config includes will only list include directories
+@@ -13,4 +14,4 @@
+ Version: %MOZILLA_VERSION%
+ Requires: %NSPR_NAME% >= %NSPR_VERSION%
+ Libs: -L${sdkdir}/lib -lxpcomglue_s -lxul -lxpcom
+-Cflags: -I${includedir}/${includetype} -fshort-wchar
+\ No newline at end of file
++Cflags: -I${includedir}/${includetype} -fshort-wchar
+diff -ruN mozilla/xulrunner/installer/libxul-unstable.pc.in mozilla/xulrunner/installer/libxul-unstable.pc.in
+--- mozilla/xulrunner/installer/libxul-unstable.pc.in	2008-01-05 07:50:34.000000000 +0100
++++ mozilla/xulrunner/installer/libxul-unstable.pc.in	2008-07-16 21:45:11.000000000 +0200
+@@ -1,7 +1,8 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/unstable
+ includetype=unstable
+ 
+ Name: libxul
+diff -ruN mozilla/xulrunner/installer/Makefile.in mozilla/xulrunner/installer/Makefile.in
+--- mozilla/xulrunner/installer/Makefile.in	2008-07-16 20:27:31.000000000 +0200
++++ mozilla/xulrunner/installer/Makefile.in	2008-07-16 21:45:51.000000000 +0200
+@@ -125,6 +125,7 @@
+ 	-e "s|%includedir%|$(includedir)|" \
+ 	-e "s|%idldir%|$(idldir)|" \
+ 	-e "s|%sdkdir%|$(sdkdir)|" \
++	-e "s|%libdir%|$(installdir)|" \
+ 	-e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
+ 	-e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
+ 	-e "s|%FULL_NSPR_LIBS%|$(FULL_NSPR_LIBS)|" \
+diff -ruN mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in
+--- mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	2008-01-10 10:17:49.000000000 +0100
++++ mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	2008-07-16 21:46:14.000000000 +0200
+@@ -1,5 +1,6 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+ 
+ Name: mozilla-gtkembedmoz
+diff -ruN mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in
+--- mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in	2008-01-10 10:17:49.000000000 +0100
++++ mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in	2008-07-16 21:46:28.000000000 +0200
+@@ -1,5 +1,6 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+ 
+ Name: mozilla-gtkembedmoz
diff --git a/abs/extra-testing/xulrunner/mozilla-ps-pdf-simplify-operators.patch b/abs/extra-testing/xulrunner/mozilla-ps-pdf-simplify-operators.patch
new file mode 100644
index 0000000..cab1341
--- /dev/null
+++ b/abs/extra-testing/xulrunner/mozilla-ps-pdf-simplify-operators.patch
@@ -0,0 +1,42 @@
+https://bugzilla.mozilla.org/show_bug.cgi?id=435313
+
+Index: mozilla/gfx/thebes/public/gfxPDFSurface.h
+===================================================================
+RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPDFSurface.h,v
+retrieving revision 1.13
+diff -d -u -p -r1.13 gfxPDFSurface.h
+--- mozilla/gfx/thebes/public/gfxPDFSurface.h	19 Mar 2008 20:51:42 -0000	1.13
++++ mozilla/gfx/thebes/public/gfxPDFSurface.h	23 May 2008 00:50:31 -0000
+@@ -63,7 +63,11 @@ public:
+     // this is in points!
+     const gfxSize& GetSize() const { return mSize; }
+ 
+-    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
++    virtual PRInt32 GetDefaultContextFlags() const
++    {
++        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
++               gfxContext::FLAG_DISABLE_SNAPPING;
++    }
+ 
+ private:
+     nsCOMPtr<nsIOutputStream> mStream;
+Index: mozilla/gfx/thebes/public/gfxPSSurface.h
+===================================================================
+RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPSSurface.h,v
+retrieving revision 1.13
+diff -d -u -p -r1.13 gfxPSSurface.h
+--- mozilla/gfx/thebes/public/gfxPSSurface.h	19 Mar 2008 20:51:42 -0000	1.13
++++ mozilla/gfx/thebes/public/gfxPSSurface.h	23 May 2008 00:50:31 -0000
+@@ -63,7 +63,11 @@ public:
+     // this is in points!
+     const gfxSize& GetSize() const { return mSize; }
+ 
+-    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
++    virtual PRInt32 GetDefaultContextFlags() const
++    {
++        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
++               gfxContext::FLAG_DISABLE_SNAPPING;
++    }
+ 
+ private:
+     nsCOMPtr<nsIOutputStream> mStream;
diff --git a/abs/extra-testing/xulrunner/nsThreadUtils.patch b/abs/extra-testing/xulrunner/nsThreadUtils.patch
new file mode 100644
index 0000000..69609c0
--- /dev/null
+++ b/abs/extra-testing/xulrunner/nsThreadUtils.patch
@@ -0,0 +1,42 @@
+--- xulrunner-1.9.0.4.orig/xpcom/glue/nsThreadUtils.cpp
++++ xulrunner-1.9.0.4/xpcom/glue/nsThreadUtils.cpp
+@@ -187,24 +187,27 @@
+ }
+ #endif // XPCOM_GLUE_AVOID_NSPR
+ 
++inline PRBool
++hasPendingEvents(nsIThread *thread)
++{
++  PRBool val;
++  return NS_SUCCEEDED(thread->HasPendingEvents(&val)) && val;
++}
++
+ PRBool
+ NS_HasPendingEvents(nsIThread *thread)
+ {
+-#ifdef MOZILLA_INTERNAL_API
+   if (!thread) {
++#ifndef MOZILLA_INTERNAL_API
++    nsCOMPtr<nsIThread> current;
++    NS_GetCurrentThread(getter_AddRefs(current));
++    return hasPendingEvents(current);
++#else
+     thread = NS_GetCurrentThread();
+     NS_ENSURE_TRUE(thread, PR_FALSE);
+-  }
+-#else
+-  nsCOMPtr<nsIThread> current;
+-  if (!thread) {
+-    NS_GetCurrentThread(getter_AddRefs(current));
+-    NS_ENSURE_TRUE(current, PR_FALSE);
+-    thread = current.get();
+-  }
+ #endif
+-  PRBool val;
+-  return NS_SUCCEEDED(thread->HasPendingEvents(&val)) && val;
++  }
++  return hasPendingEvents(thread);
+ }
+ 
+ PRBool
+
-- 
cgit v0.12